{
    "rust-analyzer.cargo.allTargets": false,
    "rust-analyzer.cargo.target": "x86_64-kernel.json",
    "[rust]": {
        "editor.defaultFormatter": "rust-lang.rust-analyzer",
        "editor.formatOnSave": true
    },
    "rust-analyzer.check.command": "clippy",
    "rust-analyzer.cargo.buildScripts.enable": true
}